.footer {
  background-color: $footer-bg;
  text-align: center;

  padding: 38px 35px 47px;

  @media (min-width: $tablet-bp) {
    padding: 57px 128px 56px 128px;
  }

  @media (min-width: $desktop-bp) {
    padding-top: 66px;
    padding-bottom: 70px;
  }
}

.footer__title {
  @include text-style(14px, 700, 30px, #fefefe, uppercase);
  margin: 0;
  margin-bottom: 8px;

  @media (min-width: $tablet-bp) {
    font-size: 16px;
    margin-bottom: 22px;
  }
}

.footer__mobile-text {
  @include text-style(12px, 400, 20px, $footer-fc, capitalize);

  margin: 0;
  margin-bottom: 25px;

  @media (min-width: $tablet-bp) {
    display: none;
  }
}

.footer__tablet-text {
  display: none;

  @media (min-width: $tablet-bp) {
    display: block;

    @include text-style(16px, 400, 28px, $footer-fc, capitalize);

    margin-bottom: 37px;
  }
}

.footer__contact {
  @include flex(column, center, center);

  span {
    @include text-style(14px, 400, 24px, $footer-fc, capitalize);
  }

  @media (min-width: $tablet-bp) {
    display: block;
    span {
      font-size: 16px;
      line-height: 26px;
    }
  }
}

.footer__contact-us {
  @include text-style(14px, 400, 24px, $footer-fc, capitalize);

  @media (min-width: $tablet-bp) {
    font-size: 16px;
    line-height: 26px;
  }
}
